A report can be rendered for a specific culture, formatting numbers, dates and localized text accordingly.

Localization setup. Load the requested culture or localization resource before the report interface and formatted values are produced.
@Component({
    selector: 'globalizing-report',
    imports: [Viewer],
    template: `
        <div class="container">
            <div class="container-control">
                <label class="label-globalization">Select Language</label>
                <select (change)="update($event.target)" class="select-globalization">
                        <option [value]="'en-US'">English</option>
                        <option [value]="'de-DE'">Deutsch</option>
                        <option [value]="'pl-PL'">Polish</option>
                </select>
            </div>
            <div>
                <sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>
            </div>
        </div>`,
    styleUrls: ['../styles.css']
})
export class GlobalizingReport {
    report: Stimulsoft.Report.StiReport;
    viewerOptions: Stimulsoft.Viewer.StiViewerOptions;

    update(e: any) {
        var selectedCountry = e.value;
        const locFile = `Localizations/` + selectedCountry.substring(0, 2) + '.xml';
        Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile(locFile);

        this.viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();

        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile('Reports/Globalization.mrt');
        this.report.culture = selectedCountry;
    }

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();

        this.update({ value: 'en-US' });
    }
}

Setting report.culture controls culture-dependent formatting, while StiLocalization.setLocalizationFile changes the viewer interface language — together they globalize both the document and the UI.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

A report can be rendered for a specific culture, formatting numbers, dates and localized text accordingly.

Localization setup. Load the requested culture or localization resource before the report interface and formatted values are produced.
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-react/viewer';

function App() {
    const [selectedCountry, setSelectedCountry] = useState('en-US');

    const locFile = `Localizations/` + selectedCountry.substring(0, 2) + '.xml';
    Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile(locFile);

    var report = new Stimulsoft.Report.StiReport();
    report.loadFile('Reports/Globalization.mrt');
    report.culture = selectedCountry;

    return (
        <div className='container'>
            <div className='container-control'>
                <label className='label-globalization'>Select Language</label>
                <select
                    value={selectedCountry}
                    onChange={(e) => setSelectedCountry(e.target.value)}
                    className='select-globalization'
                >
                    <option value='en-US'>English</option>
                    <option value='de-DE'>Deutsch</option>
                    <option value='pl-PL'>Polish</option>
                </select>
            </div>
            <div>
                <Viewer key={selectedCountry} report={report} />
            </div>
        </div>

    );
}

export default App;

Setting report.culture controls culture-dependent formatting, while StiLocalization.setLocalizationFile changes the viewer interface language — together they globalize both the document and the UI.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

A report can be rendered for a specific culture, formatting numbers, dates and localized text accordingly.

Localization setup. Load the requested culture or localization resource before the report interface and formatted values are produced.
<script setup lang="ts">
import { ref, watch } from 'vue';
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';

var selectedCountry = ref('en-US');
var report: Stimulsoft.Report.StiReport;

watch(
    selectedCountry,
    () => {
        const locFile = `Localizations/` + selectedCountry.value.substring(0, 2) + '.xml';
        Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile(locFile);

        report = new Stimulsoft.Report.StiReport();
        report.loadFile('Reports/Globalization.mrt');
        report.culture = selectedCountry.value;
    },
    { immediate: true }
);
</script>

<template>
    <div class="container">
        <div class="container-control">
            <label class="label-globalization">Select Language</label>
            <select v-model="selectedCountry" class="select-globalization">
                <option value="en-US">English</option>
                <option value="de-DE">Deutsch</option>
                <option value="pl-PL">Polish</option>
            </select>
        </div>
        <div>
            <Viewer :report="report" />
        </div>
    </div>
</template>
Setting report.culture controls culture-dependent formatting, while StiLocalization.setLocalizationFile changes the viewer interface language — together they globalize both the document and the UI.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.